Portfolio
List portfolio entries
GET
/
portfolio-entries
List portfolio entries
curl --request GET \
--url https://mkk.celebi.me/api/portfolio-entriesimport requests
url = "https://mkk.celebi.me/api/portfolio-entries"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mkk.celebi.me/api/portfolio-entries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total": 123,
"limit": 123,
"offset": 123,
"portfolio_entries": [
{
"id": 123,
"document_id": 123,
"disclosure_index": "<string>",
"file_name": "<string>",
"fund_code": "<string>",
"fund_title": "<string>",
"period": "<string>",
"section": "<string>",
"security": "<string>",
"isin": "<string>",
"issuer": "<string>",
"bank": "<string>",
"maturity_date": "<string>",
"transaction_date": "<string>",
"price": "<string>",
"numeric_price": 123,
"transaction_value": "<string>",
"numeric_transaction_value": 123,
"nominal_value": "<string>",
"numeric_nominal_value": 123,
"market_value": "<string>",
"numeric_market_value": 123,
"rate": "<string>",
"numeric_rate": 123,
"amount": "<string>",
"numeric_amount": 123,
"currency": "<string>",
"raw_row": "<string>",
"columns": [
{
"header": "<string>",
"key": "<string>",
"value": "<string>"
}
]
}
]
}Query Parameters
Filter by fund code.
Filter by fund code.
Filter by report period.
Filter by internal document id.
Required range:
x >= 1Filter by portfolio section.
Text search query.
Maximum number of rows to return.
Required range:
1 <= x <= 500Number of rows to skip.
Required range:
x >= 0⌘I
List portfolio entries
